<?xml version="1.0" encoding="UTF-8"?>
<xliff xmlns="urn:oasis:names:tc:xliff:document:1.1" version="1.1">
  <file original="NoName" source-language="en" datatype="plaintext" target-language="en">
    <body>
      <trans-unit xml:space="preserve" approved="no" id="fec73c6afc108045" weblate-flags="read-only">
        <source>This is an unpolished draft of the third edition of this e-book. If you find any error or have suggestions to improve the text, please create an issue via https://github.com/CNP3/ebook/issues?milestone=2 or help us by providing pull requests to close the existing issues.</source>
        <target state="translated">This is an unpolished draft of the third edition of this e-book. If you find any error or have suggestions to improve the text, please create an issue via https://github.com/CNP3/ebook/issues?milestone=2 or help us by providing pull requests to close the existing issues.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">8</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="25d42ef15d3d9282" weblate-flags="read-only">
        <source>Building a network</source>
        <target state="translated">Building a network</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">12</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="3c5ffd2d38cea6fa" weblate-flags="read-only">
        <source>Multiple-choice questions</source>
        <target state="translated">Multiple-choice questions</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">15</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="ea725087c218738b" weblate-flags="read-only">
        <source>Open questions</source>
        <target state="translated">Open questions</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">21</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="93980859d48d7436" weblate-flags="read-only">
        <source>In your daily life, you also use hierarchical and flat address spaces. Can you provide examples of these two types of addresses and discuss the benefits of using a hierarchical or flat addressing space in their particular context ?</source>
        <target state="translated">In your daily life, you also use hierarchical and flat address spaces. Can you provide examples of these two types of addresses and discuss the benefits of using a hierarchical or flat addressing space in their particular context ?</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">23</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="3003ca0a377ea026" weblate-flags="read-only">
        <source>The network below uses port forwarding with flat addresses. The network boots and all hosts start one after the other. Explain at each step how the packets are forwarded and how the port forwarding tables of the network nodes are modified. Host `C` sends a packet to host `B`. Some time later, host `A` sends a packet to host `C`. Finally, host `B` sends a packet to host `A`.</source>
        <target state="translated">The network below uses port forwarding with flat addresses. The network boots and all hosts start one after the other. Explain at each step how the packets are forwarded and how the port forwarding tables of the network nodes are modified. Host `C` sends a packet to host `B`. Some time later, host `A` sends a packet to host `C`. Finally, host `B` sends a packet to host `A`.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">25</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="e132336ba51389a7" weblate-flags="read-only">
        <source>Same question as above, but the network is modified as shown in the figure below.</source>
        <target state="translated">Same question as above, but the network is modified as shown in the figure below.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">51</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="0f579e5b8530f9d6" weblate-flags="read-only">
        <source>Routing protocols used in data networks only use positive link weights. What would happen with a distance vector routing protocol in the network below that contains a negative link weight ?</source>
        <target state="translated">Routing protocols used in data networks only use positive link weights. What would happen with a distance vector routing protocol in the network below that contains a negative link weight ?</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">76</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="aeff948115253301" weblate-flags="read-only">
        <source>When a network specialist designs a network, one of the problems that he needs to solve is to set the metrics the links in his network. In the USA, the Abilene network interconnects most of the research labs and universities. The figure below shows the topology  of this network in 2009.</source>
        <target state="translated">When a network specialist designs a network, one of the problems that he needs to solve is to set the metrics the links in his network. In the USA, the Abilene network interconnects most of the research labs and universities. The figure below shows the topology  of this network in 2009.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b6d2609e01c9a75c" weblate-flags="read-only">
        <source>The Abilene network</source>
        <target state="translated">The Abilene network</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">101</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="69a806197f06e859" weblate-flags="read-only">
        <source>In this network, assume that all the link weights are set to 1. What is the paths followed by a packet sent by the router located in `Los Angeles` to reach :</source>
        <target state="translated">In this network, assume that all the link weights are set to 1. What is the paths followed by a packet sent by the router located in `Los Angeles` to reach :</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">103</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="42a9046a83be782e" weblate-flags="read-only">
        <source>the router located in `New York`</source>
        <target state="translated">the router located in `New York`</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">105</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="704caa71ebfbfdd0" weblate-flags="read-only">
        <source>the router located in `Washington` ?</source>
        <target state="translated">the router located in `Washington` ?</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">106</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="c59d9aa10e91d9e6" weblate-flags="read-only">
        <source>Is it possible to configure the link metrics so that the packets sent by the router located in `Los Angeles` to the routers located in respectively `New York` and `Washington` do not follow the same path ?</source>
        <target state="translated">Is it possible to configure the link metrics so that the packets sent by the router located in `Los Angeles` to the routers located in respectively `New York` and `Washington` do not follow the same path ?</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">108</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="748faa8eb22f2648" weblate-flags="read-only">
        <source>Is it possible to configure the link weights so that the packets sent by the router located in `Los Angeles` to router located in `New York` follow one path while the packets sent by the router located in `New York` to the router located in  `Los Angeles` follow a completely different path ?</source>
        <target state="translated">Is it possible to configure the link weights so that the packets sent by the router located in `Los Angeles` to router located in `New York` follow one path while the packets sent by the router located in `New York` to the router located in  `Los Angeles` follow a completely different path ?</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">110</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="e320816ba59fd953" weblate-flags="read-only">
        <source>Assume that the routers located in `Denver` and `Kansas City` need to exchange lots of packets. Can you configure the link metrics such that the link between these two routers does not carry any packet sent by another router in the network ?</source>
        <target state="translated">Assume that the routers located in `Denver` and `Kansas City` need to exchange lots of packets. Can you configure the link metrics such that the link between these two routers does not carry any packet sent by another router in the network ?</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">112</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="0192b8a1c9f0b72c" weblate-flags="read-only">
        <source>In the five nodes network shown below, can you configure the link metrics so that the packets sent by router `R5` to router `R1` use link `R3-&gt;R1` while the packets sent by router `R3` use links `R3-&gt;R2` and `R2-&gt;R1`?</source>
        <target state="translated">In the five nodes network shown below, can you configure the link metrics so that the packets sent by router `R5` to router `R1` use link `R3-&gt;R1` while the packets sent by router `R3` use links `R3-&gt;R2` and `R2-&gt;R1`?</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">114</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="a75325cb6ea5953d" weblate-flags="read-only">
        <source>In the five nodes network shown above, can you configure the link weights so that the packets sent by router `R5` (resp. `R4`) follow the `R5-&gt;R3-&gt;R1` path (resp. `R4-&gt;R2-&gt;R3-&gt;R1`) ?</source>
        <target state="translated">In the five nodes network shown above, can you configure the link weights so that the packets sent by router `R5` (resp. `R4`) follow the `R5-&gt;R3-&gt;R1` path (resp. `R4-&gt;R2-&gt;R3-&gt;R1`) ?</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">138</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="0c14d21a355f0ca9" weblate-flags="read-only">
        <source>Consider the network shown in the figure below.</source>
        <target state="translated">Consider the network shown in the figure below.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">141</context>
        </context-group>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">163</context>
        </context-group>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">193</context>
        </context-group>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">225</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="a4689c274448a5f6" weblate-flags="read-only">
        <source>Assuming that the network uses source routing, what are the possible paths from `R1` to `R4` ?</source>
        <target state="translated">Assuming that the network uses source routing, what are the possible paths from `R1` to `R4` ?</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">161</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="39e2c9236972645b" weblate-flags="read-only">
        <source>The network operator uses would like to have the following paths in this network :</source>
        <target state="translated">The network operator uses would like to have the following paths in this network :</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">185</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="50e282170bb4dfdb" weblate-flags="read-only">
        <source>`R3-&gt;R2-&gt;R4-&gt;R5` and `R1-&gt;R2-&gt;R5`</source>
        <target state="translated">`R3-&gt;R2-&gt;R4-&gt;R5` and `R1-&gt;R2-&gt;R5`</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">187</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="4c20cb178dfe582b" weblate-flags="read-only">
        <source>Is it possible to achieve these paths and if so what are the required forwarding tables ?</source>
        <target state="translated">Is it possible to achieve these paths and if so what are the required forwarding tables ?</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">189</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="74dc95d652395b47" weblate-flags="read-only">
        <source>Same question with virtual circuits.</source>
        <target state="translated">Same question with virtual circuits.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">191</context>
        </context-group>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">223</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="72550fab209ae7df" weblate-flags="read-only">
        <source>The network operator would like to use the following paths :</source>
        <target state="translated">The network operator would like to use the following paths :</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">217</context>
        </context-group>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">247</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="35a123c4f95b1f5f" weblate-flags="read-only">
        <source>`R1-&gt;R2-&gt;R4` and `R3-&gt;R2-&gt;R5-&gt;R4`</source>
        <target state="translated">`R1-&gt;R2-&gt;R4` and `R3-&gt;R2-&gt;R5-&gt;R4`</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">219</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="618af20af6a4fcf9" weblate-flags="read-only">
        <source>Are these paths possible with link-state or distance vector routing ? If so, how do you configure the link weights? If not, explain your answer.</source>
        <target state="translated">Are these paths possible with link-state or distance vector routing ? If so, how do you configure the link weights? If not, explain your answer.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">221</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="dfb8aef49b562d63" weblate-flags="read-only">
        <source>`R1-&gt;R5-&gt;R4` and `R3-&gt;R2-&gt;R4`</source>
        <target state="translated">`R1-&gt;R5-&gt;R4` and `R3-&gt;R2-&gt;R4`</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">249</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="ef6154c2f011bd25" weblate-flags="read-only">
        <source>Discussion questions</source>
        <target state="translated">Discussion questions</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">256</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="6b38cb4ba848f917" weblate-flags="read-only">
        <source>The network below uses port forwarding tables. It has been running for several hours and all hosts have exchanged packets. What is the content of the port forwarding tables ?</source>
        <target state="translated">The network below uses port forwarding tables. It has been running for several hours and all hosts have exchanged packets. What is the content of the port forwarding tables ?</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">259</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="f4d589f783349fc8" weblate-flags="read-only">
        <source>At this point, a new link is added between `R1` and `R3`. What happens for the forwarding of packets ?</source>
        <target state="translated">At this point, a new link is added between `R1` and `R3`. What happens for the forwarding of packets ?</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">282</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="5a88139b143abe76" weblate-flags="read-only">
        <source>The network below uses port forwarding tables. What happens if host `A` moves by removing its link with `R1` and replacing it with a link with `R3`? How should networks using port forwarding deal with such mobile hosts ?</source>
        <target state="translated">The network below uses port forwarding tables. What happens if host `A` moves by removing its link with `R1` and replacing it with a link with `R3`? How should networks using port forwarding deal with such mobile hosts ?</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">285</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="c835c5bec11af850" weblate-flags="read-only">
        <source>Some hosts need to be multihomed, i.e. attached to two different network nodes as shown in the figure below.</source>
        <target state="translated">Some hosts need to be multihomed, i.e. attached to two different network nodes as shown in the figure below.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">308</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="aff9b460bab11704" weblate-flags="read-only">
        <source>Would this network work correctly with port-forwarding tables if :</source>
        <target state="translated">Would this network work correctly with port-forwarding tables if :</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">332</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2ebe257237a406fe" weblate-flags="read-only">
        <source>Host `A` uses the same flat address for both links.</source>
        <target state="translated">Host `A` uses the same flat address for both links.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">334</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="a70297bbfdf63f54" weblate-flags="read-only">
        <source>Host `A` uses a different flat address on each of its links</source>
        <target state="translated">Host `A` uses a different flat address on each of its links</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">335</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="0d6a32dcb1094f23" weblate-flags="read-only">
        <source>What are the advantages and drawbacks of flat addresses versus hierarchical addresses ?</source>
        <target state="translated">What are the advantages and drawbacks of flat addresses versus hierarchical addresses ?</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">337</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="c6d1c5b0022a0aa3" weblate-flags="read-only">
        <source>Let us now consider the transient problems that mainly happen when the network topology changes. For this, consider the network topology shown in the figure below and assume that all routers use a distance vector protocol that uses split horizon.</source>
        <target state="translated">Let us now consider the transient problems that mainly happen when the network topology changes. For this, consider the network topology shown in the figure below and assume that all routers use a distance vector protocol that uses split horizon.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">341</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="8bc7a76c00904b10" weblate-flags="read-only">
        <source>If you compute the routing tables of all routers in this network, you would obtain a table such as the table below :</source>
        <target state="translated">If you compute the routing tables of all routers in this network, you would obtain a table such as the table below :</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">365</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="1113760c60600894" weblate-flags="read-only">
        <source>Destination</source>
        <target state="translated">Destination</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">369</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="efcd457ea49e2e52" weblate-flags="read-only">
        <source>Routes on A</source>
        <target state="translated">Routes on A</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">369</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="887d13c78f20db42" weblate-flags="read-only">
        <source>Routes on B</source>
        <target state="translated">Routes on B</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">369</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="d45fea5dd8a451c7" weblate-flags="read-only">
        <source>Routes on C</source>
        <target state="translated">Routes on C</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">369</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="4114ffa395fac2d5" weblate-flags="read-only">
        <source>Routes on D</source>
        <target state="translated">Routes on D</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">369</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="07e2e5579bd131c3" weblate-flags="read-only">
        <source>Routes on E</source>
        <target state="translated">Routes on E</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">369</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="287a02e2393009a5" weblate-flags="read-only">
        <source>A</source>
        <target state="translated">A</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">372</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="eba030ebb7f9b8e1" weblate-flags="read-only">
        <source>0</source>
        <target state="translated">0</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">372</context>
        </context-group>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">373</context>
        </context-group>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">374</context>
        </context-group>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">375</context>
        </context-group>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">376</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="d62c1af87c590521" weblate-flags="read-only">
        <source>1 via A</source>
        <target state="translated">1 via A</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">372</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b01f8f2bdae056ac" weblate-flags="read-only">
        <source>2 via B</source>
        <target state="translated">2 via B</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">372</context>
        </context-group>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">374</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="c22b65bf9111e279" weblate-flags="read-only">
        <source>3 via C</source>
        <target state="translated">3 via C</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">372</context>
        </context-group>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">376</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="951846a6aa85ed6c" weblate-flags="read-only">
        <source>4 via D</source>
        <target state="translated">4 via D</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">372</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="814ecdfb11e6d57c" weblate-flags="read-only">
        <source>B</source>
        <target state="translated">B</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">373</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="9226a0f6ae5c5ea2" weblate-flags="read-only">
        <source>1 via B</source>
        <target state="translated">1 via B</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">373</context>
        </context-group>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">373</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="a60e63427a6ee6eb" weblate-flags="read-only">
        <source>2 via C</source>
        <target state="translated">2 via C</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">373</context>
        </context-group>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">375</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="62c13b22b8953dea" weblate-flags="read-only">
        <source>3 via D</source>
        <target state="translated">3 via D</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">373</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b713f5b3d13f3306" weblate-flags="read-only">
        <source>C</source>
        <target state="translated">C</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">374</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="418a23796c07b35c" weblate-flags="read-only">
        <source>1 via C</source>
        <target state="translated">1 via C</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">374</context>
        </context-group>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">374</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="e0ef376de88165d7" weblate-flags="read-only">
        <source>2 via D</source>
        <target state="translated">2 via D</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">374</context>
        </context-group>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">376</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="4c4e1875c5665ecf" weblate-flags="read-only">
        <source>D</source>
        <target state="translated">D</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">375</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="5fa6e61c1cadafce" weblate-flags="read-only">
        <source>3 via B</source>
        <target state="translated">3 via B</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">375</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="75f8f9465f56e284" weblate-flags="read-only">
        <source>1 via D</source>
        <target state="translated">1 via D</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">375</context>
        </context-group>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">375</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="6d61e3edd1cbc5dd" weblate-flags="read-only">
        <source>E</source>
        <target state="translated">E</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">376</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="47d7a1009b4eedd2" weblate-flags="read-only">
        <source>4 via B</source>
        <target state="translated">4 via B</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">376</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="4fe9bedd04e6fd8a" weblate-flags="read-only">
        <source>1 via E</source>
        <target state="translated">1 via E</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">376</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="5d9c9a96063ef5e7" weblate-flags="read-only">
        <source>Distance vector protocols can operate in two different modes : `periodic updates` and `triggered updates`. `Periodic updates` is the default mode for a distance vector protocol. For example, each router could advertise its distance vector every thirty seconds. With the `triggered updates` a router sends its distance vector when its routing table changes (and periodically when there are no changes).</source>
        <target state="translated">Distance vector protocols can operate in two different modes : `periodic updates` and `triggered updates`. `Periodic updates` is the default mode for a distance vector protocol. For example, each router could advertise its distance vector every thirty seconds. With the `triggered updates` a router sends its distance vector when its routing table changes (and periodically when there are no changes).</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">379</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="7fca44a723d47692" weblate-flags="read-only">
        <source>Consider a distance vector protocol using split horizon and `periodic updates`. Assume that the link `B-C` fails. `B` and `C` update their local routing table but they will only advertise it at the end of their period. Select one ordering for the  `periodic updates` and every time a router sends its distance vector, indicate the vector sent to each neighbor and update the table above. How many periods are required to allow the network to converge to a stable state ?</source>
        <target state="translated">Consider a distance vector protocol using split horizon and `periodic updates`. Assume that the link `B-C` fails. `B` and `C` update their local routing table but they will only advertise it at the end of their period. Select one ordering for the  `periodic updates` and every time a router sends its distance vector, indicate the vector sent to each neighbor and update the table above. How many periods are required to allow the network to converge to a stable state ?</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">381</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="5ec7783eda42cadd" weblate-flags="read-only">
        <source>Consider the same distance vector protocol, but now with `triggered updates`. When link `B-C` fails, assume that `B` updates its routing table immediately and sends its distance vector to `A` and `D`. Assume that both `A` and `D` process the received distance vector and that `A` sends its own distance vector, ... Indicate all the distance vectors that are exchanged and update the table above each time a distance vector is sent by a router (and received by other routers) until all routers have learned a new route to each destination. How many distance vector messages must be exchanged until the network converges to a stable state ?</source>
        <target state="translated">Consider the same distance vector protocol, but now with `triggered updates`. When link `B-C` fails, assume that `B` updates its routing table immediately and sends its distance vector to `A` and `D`. Assume that both `A` and `D` process the received distance vector and that `A` sends its own distance vector, ... Indicate all the distance vectors that are exchanged and update the table above each time a distance vector is sent by a router (and received by other routers) until all routers have learned a new route to each destination. How many distance vector messages must be exchanged until the network converges to a stable state ?</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">383</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="218db888928703e7" weblate-flags="read-only">
        <source>Consider again the network shown above. After some time, link state routing converges and all routers compute the same routing tables as above.</source>
        <target state="translated">Consider again the network shown above. After some time, link state routing converges and all routers compute the same routing tables as above.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">385</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="bded2734ab04e883" weblate-flags="read-only">
        <source>An important difference between OSPF and RIP is that OSPF routers flood link state packets that allow the other routers to recompute their own routing tables while RIP routers exchange distance vectors. Consider that link `B-C` fails and that router `B` is the first to detect the failure. At this point, `B` cannot reach anymore `C`, `D` and `E`. `C` cannot reach `B` and `A` anymore.</source>
        <target state="translated">An important difference between OSPF and RIP is that OSPF routers flood link state packets that allow the other routers to recompute their own routing tables while RIP routers exchange distance vectors. Consider that link `B-C` fails and that router `B` is the first to detect the failure. At this point, `B` cannot reach anymore `C`, `D` and `E`. `C` cannot reach `B` and `A` anymore.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">387</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="132405a8d2661a46" weblate-flags="read-only">
        <source>Router `B` will flood its updated link state packet through the entire network and all routers will recompute their forwarding table. Upon reception of a link state packet, routers usually first flood the received link-state packet and then recompute their forwarding table. Assume that `B` is the first to recompute its forwarding table, followed by `D`, `A`, `C` and finally `E`.</source>
        <target state="translated">Router `B` will flood its updated link state packet through the entire network and all routers will recompute their forwarding table. Upon reception of a link state packet, routers usually first flood the received link-state packet and then recompute their forwarding table. Assume that `B` is the first to recompute its forwarding table, followed by `D`, `A`, `C` and finally `E`.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">389</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="7b3f51ea4350a733" weblate-flags="read-only">
        <source>After each update of a forwarding table, verify which pairs of routers are able to exchange packets. Provide your answer using a table similar to the one shown above.</source>
        <target state="translated">After each update of a forwarding table, verify which pairs of routers are able to exchange packets. Provide your answer using a table similar to the one shown above.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../exercises/network.rst</context>
          <context context-type="linenumber">391</context>
        </context-group>
      </trans-unit>
    </body>
  </file>
</xliff>
